#ifndef AKENTI_CACHE_RESPONSE_HPP
#define AKENTI_CACHE_RESPONSE_HPP

#include "CacheRequest.hpp"

using namespace Akenti;

namespace Akenti {

/**
  * <i>CacheResponse</i> 
  *
  * @see OutputStream 
  * @see InputStream 
  * 
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class CacheResponse : public CacheRequest {

public:

  /**
    *
    */
  CacheResponse();

  /**
    *
    */
  CacheResponse(const string& method);

  /**
    *
    */
  ~CacheResponse();

  /**
    *
    */
   void setStatus(const string& status);

  /**
    *
    */
   const string& getStatus() const;

protected:

  /**
    *
    */
  void writeHeaderInfo(OutputStream& os) const;
  
  /**
    *
    */
  void readHeaderInfo(InputStream& is);
  
private:

  string status;

};

}

#endif

