#ifndef AKENTI_CREATE_RESOURCE_RESPONSE_HPP
#define AKENTI_CREATE_RESOURCE_RESPONSE_HPP

#include "AkentiResponse.hpp"

namespace Akenti {

/**
  * Class to handle <i>CreateResourceResponse</i>.
  *
  * @see CreateResourceRequest 
  * @see AkentiResponse
  */
class CreateResourceResponse : public AkentiResponse {
 
public:

  /**
    * Constuctor.
    */
  CreateResourceResponse();

  /**
    */
  ~CreateResourceResponse();

private:

  friend class AkentiResponse;
  friend class AkentiRequestResponseImplFactory;
  class CreateResourceResponseImpl;
  static AkentiResponseImpl* getResponseImpl();
  typedef CreateResourceResponseImpl* ImplType;

};

}

#endif
